import { GC } from '../../../../../@ones-table/core';
import { CommandItem } from '../../types';
import './style-editor.scss';
import { ColorPalette } from '../../color-palette';
import { StyleData } from './types';
export interface StyleEditorOptions {
    tooltipId: string;
}
export default class StyleEditor {
    private _root;
    private _toolbar;
    private _preview;
    private _style;
    private _textColorItem;
    private _backgroundColorItem;
    constructor(parent: HTMLElement, options: StyleEditorOptions);
    destroy(): void;
    handleClickItem: (bar: unknown, item: CommandItem) => void;
    handleColorChange: (type: 'color' | 'backgroundColor' | 'clearColor', value: number, sender: ColorPalette) => void;
    style(): StyleData;
    setStyle(style: StyleData): void;
    reset(): void;
    updatePreview(): void;
    setCellStyle(style: GC.Spread.Sheets.Style): void;
    toCellStyle(): GC.Spread.Sheets.Style;
}
